# Enover (RCVerb's big sister)
Another reverb with more controls suitable for classical music based on zita-rev1. Available as LV2 and CLAP by default (with optional VST3, VST2 and LADSPA).

![image](https://user-images.githubusercontent.com/120390802/211640183-2b1c9a4f-b47c-4f27-a86b-4eeed7146152.png)

#### Controls

Initial Delay = Delay in ms  
LowFreq X = Low frequency Crossover point in Hz  
Bass Mult = Computes Low Decay as Bass Multiplier x Mid Decay   
Mid Decay = Mid frequency decay time in seconds  
HF Damping = High frequency damping in Hz  
Wet/Dry Mix = Wetter to the left, drier to the right
Level = Gain in dB

Plugin defaults to 40ms delay, 250Hz crossover, 2 seconds, 3Khz damping and 50/50 wet/dry mix. This is ready to use as an insert. As a send (with dedicated reverb bus) simply move the wet/dry slider all the way to the left and adjust the channel fader to taste. 

### Audio Demos

[Mozart -- anechoic](https://github.com/chmaha/RCverb/raw/main/Demo%20Audio/Mozart-anechoic.mp3)  
[Mozart -- Wet](https://github.com/chmaha/RCverb/raw/main/Demo%20Audio/Mozart-wet.mp3)

## Building LV2 and CLAP (On Linux or MacOS)

```
git clone --recursive https://github.com/chmaha/Enover.git
cd Enover
make
```
To build a VST3 version at the same time:
```
make BUILD_VST3=true
```
likewise, `BUILD_VST2=true` or `BUILD_LADSPA=true`.

On Linux systems, you can cross-compile LV2/CLAP Windows-x64 binaries as follows:
```
scripts/build-win64.sh
```
To add a VST3 binary at the same time:
```
scripts/build-win64.sh BUILD_VST3=true
```

## Author

This software is by *chmaha* (a revision of https://github.com/SpotlightKid/dfzitarev1).


## License

This plugin is released under the *GPLv3 License*. Please see the
[LICENSE](./LICENSE) file for details.


## Acknowledgements

The DSP code is generated from the FAUST sources via the faustpp
pre-processor and uses my modified version of the dm.zita_rev1 demo from the FAUST library, written
by Julius O. Smith III, which is a re-implementation of zita-rev1 by Fons
Adriaensen, writen in C++.

The project is built using the DISTRHO Plugin Framework (DPF) and set up
with the cookiecutter-dpf-faust project template.
